## bcmatroska2 5.1.20

=== Makefile ===
PREFIX=/usr/local
DEBUG=0
COREMAKE=./corec/tools/coremake/coremake

bits_64=$(shell uname -a | grep x86_64)
os_linux=$(shell uname -a | grep Linux)
os_mac=$(shell uname -a |grep Darwin)
os_mingw32=$(shell uname -a |grep MINGW32)

ifneq ($(os_linux),)
os=linux
endif

ifneq ($(os_mac),)
os=osx
endif

ifneq ($(os_mingw32),)
os=win32
endif

ifneq ($(bits_64),)
bits=_x64
endif

ifeq ($(DEBUG), 1)
debug=_debug
endif

flavor=gcc_$(os)$(bits)$(debug)

libs=release/$(flavor)/libebml2.a release/$(flavor)/libmatroska2.a

all: GNUmakefile
	$(MAKE) -f GNUmakefile

$(COREMAKE):
	cd ./corec/tools/coremake/ && make

GNUmakefile: $(COREMAKE)
	$(COREMAKE) $(flavor)



install:
	mkdir -p $(DESTDIR)/$(PREFIX)
	cp -rf ./libmatroska2/matroska $(DESTDIR)/$(PREFIX)/include/.
	cp -rf ./corec/corec $(DESTDIR)/$(PREFIX)/include/.
	cp -rf ./libebml2/ebml $(DESTDIR)/$(PREFIX)/include/.
	cp -f  ./config.h $(DESTDIR)/$(PREFIX)/include/corec/.
	cp -f  ./corec/tools/coremake/config_helper.h $(DESTDIR)/$(PREFIX)/include/corec/.
	cp -rf $(libs) $(DESTDIR)/$(PREFIX)/lib/.

=== build/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2018  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

if(NOT CPACK_PACKAGE_NAME)
	set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
ENDIF()

set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})

set(CPACK_PACKAGE_FILE_NAME ${CPACK_PACKAGE_NAME}-${PROJECT_VERSION})

set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES
	"${CMAKE_BINARY_DIR}"
	"^${PROJECT_SOURCE_DIR}/.git*"
)

message("-- Package file name is ${CPACK_PACKAGE_FILE_NAME}")

set(CPACK_SOURCE_PACKAGE_FILE_NAME ${CPACK_PACKAGE_FILE_NAME})

if(UNIX AND NOT APPLE AND NOT ANDROID)
	configure_file("rpm/bcmatroska2.spec.cmake" "${PROJECT_SOURCE_DIR}/bcmatroska2.spec" @ONLY)
endif()

include(CPack)

=== libebml2/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2016  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

add_library(ebml2-objects OBJECT
	ebmlmain.c
	ebmlelement.c
	ebmlmaster.c
	ebmlbinary.c
	ebmlstring.c
	ebmlnumber.c
	ebmlcrc.c
	ebmldate.c
	ebmlvoid.c
)
set_target_properties(ebml2-objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

install(DIRECTORY ebml
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

=== libmatroska2/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2016  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

set(MATROSKA2_SOURCE_FILES
	matroskamain.c
	matroskablock.c
	matroska_sem.c
)

set(LIBS )
if(WIN32 AND NOT CMAKE_SYSTEM_NAME STREQUAL "WindowsPhone" AND NOT CMAKE_SYSTEM_NAME STREQUAL "WindowsStore")
	list(APPEND LIBS Winmm)
endif()

string(REPLACE ";" " " LINK_FLAGS_STR "${LINK_FLAGS}")
if(ENABLE_STATIC)
	add_library(bcmatroska2 STATIC $<TARGET_OBJECTS:corec-objects> $<TARGET_OBJECTS:ebml2-objects> ${MATROSKA2_SOURCE_FILES})
	set_target_properties(bcmatroska2 PROPERTIES OUTPUT_NAME bcmatroska2)
	set_target_properties(bcmatroska2 PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
	if(NOT "${LINK_FLAGS_STR}" STREQUAL "")
		set_target_properties(bcmatroska2 PROPERTIES LINK_FLAGS "${LINK_FLAGS_STR}")
	endif()
	target_include_directories(bcmatroska2 PRIVATE ../libebml2 .)
	if(LIBS)
		target_link_libraries(bcmatroska2 ${LIBS})
	endif()
	install(TARGETS bcmatroska2 EXPORT BcMatroska2Targets
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
	)
endif()
if(ENABLE_SHARED)
	add_library(bcmatroska2 SHARED $<TARGET_OBJECTS:corec-objects> $<TARGET_OBJECTS:ebml2-objects> ${MATROSKA2_SOURCE_FILES})
	set_target_properties(bcmatroska2 PROPERTIES VERSION 0.0.0 SOVERSION 0)
	set_target_properties(bcmatroska2 PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
	if(NOT "${LINK_FLAGS_STR}" STREQUAL "")
		set_target_properties(bcmatroska2 PROPERTIES LINK_FLAGS "${LINK_FLAGS_STR}")
	endif()
	target_include_directories(bcmatroska2 PRIVATE ../libebml2 .)
	if(LIBS)
		target_link_libraries(bcmatroska2 ${LIBS})
	endif()
	if(MSVC)
		if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
			install(FILES $<TARGET_PDB_FILE:bcmatroska2>
				DESTINATION ${CMAKE_INSTALL_BINDIR}
				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
			)
		endif()
	endif()
	install(TARGETS bcmatroska2 EXPORT BcMatroska2Targets
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
	)
endif()

install(DIRECTORY matroska
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

=== corec/corec/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2016  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

set(COREC_SOURCES
	array/array.c
	helpers/file/bufstream.c
	helpers/file/memstream.c
	helpers/file/streams.c
	helpers/file/tools.c
	helpers/md5/md5.c
	helpers/parser/parser2.c
	helpers/parser/strtab.c
	helpers/parser/strtypes.c
	helpers/parser/dataheap.c
	helpers/parser/buffer.c
	helpers/parser/hotkey.c
	helpers/parser/nodelookup.c
	helpers/parser/urlpart.c
	node/node.c
	node/nodetree.c
	str/str.c
)

if(WIN32)
	list(APPEND COREC_SOURCES
		helpers/charconvert/charconvert_win32.c
		helpers/date/date_win32.c
		helpers/file/file_bctbx_win32.c
		helpers/system/ccsystem_win32.c
		multithread/multithread_win32.c
		str/str_win32.c
	)
else()
	list(APPEND COREC_SOURCES
		helpers/date/date_libc.c
		helpers/file/file_libc.c
		helpers/file/file_bctbx.c
		multithread/multithread_pthread.c
	)
	if (NOT IOS) 
		list(APPEND COREC_SOURCES
			helpers/system/ccsystem_posix.c
		)	
	endif()
	if(APPLE)
		list(APPEND COREC_SOURCES
			helpers/charconvert/charconvert_osx.c
			str/str_osx.c
		)
	elseif(ANDROID)
		list(APPEND COREC_SOURCES
			helpers/charconvert/charconvert_utf8.c
			str/str_linux.c
		)
	elseif(QNX)
		list(APPEND COREC_SOURCES
                        helpers/charconvert/charconvert_utf8.c
                        str/str_utf8.c
                )
	else()
		list(APPEND COREC_SOURCES
			helpers/charconvert/charconvert_linux.c
			str/str_linux.c
		)
	endif()
endif()

if(CONFIG_STDIO)
	list(APPEND COREC_SOURCES
		helpers/file/stream_stdio.c
	)
endif()

add_library(corec-objects OBJECT ${COREC_SOURCES})
set_target_properties(corec-objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
target_link_libraries(corec-objects bctoolbox)

install(FILES
	banned.h
	confhelper.h
	corec.h
	err.h
	helper.h
	memalloc.h
	memheap.h
	portab.h
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec
)

install(FILES array/array.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec/array)
install(FILES helpers/charconvert/charconvert.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec/helpers/charconvert)
install(FILES helpers/date/date.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec/helpers/date)
install(FILES
	helpers/file/file.h
	helpers/file/streams.h
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec/helpers/file
)
install(FILES helpers/md5/md5.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec/helpers/md5)
install(FILES
	helpers/parser/buffer.h
	helpers/parser/dataheap.h
	helpers/parser/hotkey.h
	helpers/parser/nodelookup.h
	helpers/parser/parser.h
	helpers/parser/strtab.h
	helpers/parser/strtypes.h
	helpers/parser/urlpart.h
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec/helpers/parser
)
install(FILES helpers/system/ccsystem.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec/helpers/system)
install(FILES multithread/multithread.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec/multithread)
install(FILES
	node/node.h
	node/node_internal.h
	node/nodebase.h
	node/nodetools.h
	node/nodetree.h
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec/node
)
install(FILES str/str.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec/str)

=== debian/changelog ===
bcmatroska2 (5.1.20-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 27 Nov 2022 17:29:19 +0100

bcmatroska2 (5.1.20-1) experimental; urgency=medium

  * New upstream release 5.1.20
  * Add new build dependency on bctoolbox

 -- Dennis Filder <d.filder@web.de>  Fri, 07 Oct 2022 18:22:01 +0200

bcmatroska2 (5.0.37-2) unstable; urgency=medium

  * Upload to unstable
  * Add d/gbp.conf for DEP-14 branch name

 -- Bernhard Schmidt <berni@debian.org>  Mon, 12 Sep 2022 09:11:05 +0200

bcmatroska2 (5.0.37-1) experimental; urgency=medium

  * Team upload
  * Initial packaging
  * Changes since last FTP master review:
    - Update debian/copyright
    - README.source: Document that embedded copies are not used

 -- Dennis Filder <d.filder@web.de>  Sun, 19 Jun 2022 17:12:27 +0000

=== debian/control ===
Source: bcmatroska2
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Bernhard Schmidt <berni@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libbctoolbox-dev (>= 5.1.64~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Section: libs
Homepage: https://gitlab.linphone.org/BC/public/bcmatroska2
Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/bcmatroska2.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/bcmatroska2
Description: Matroska library for mediastreamer2

Package: libbcmatroska2-5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Matroska library for mediastreamer2 (base)
 Bcmatroska2 is an implementation of the Matroska container format
 specifically tailored for use with mediastreamer2.  It was forked
 from the Foundation Source of matroska.org in early 2014 and should
 be considered for internal use only.
 .
 This package contains the base library.

Package: libbcmatroska2-dev
Section: libdevel
Architecture: any
Depends: libbcmatroska2-5 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for the bcmatroska2 library
 Bcmatroska2 is an implementation of the Matroska container format
 specifically tailored for use with mediastreamer2.  It was forked
 from the Foundation Source of matroska.org in early 2014 and should
 be considered for internal use only.
 .
 This package contains the development files for the development library.

## bcmatroska2 5.2.0

=== CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2016-2018  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

cmake_minimum_required(VERSION 3.1)

project(bcmatroska2
	VERSION 0.23
	LANGUAGES C
)

option(ENABLE_SHARED "Build shared library." YES)
option(ENABLE_STATIC "Build static library." YES)
option(CONFIG_EBML_WRITING "Enable EBML file writing support" ON)
option(CONFIG_EBML_UNICODE "Enable Unicode support" ON)
option(CONFIG_DEBUGCHECKS "Enable internal checks" ON)
option(CONFIG_STDIO "Use stdio.h for writing" ON)
option(CONFIG_FILEPOS_64 "Encode filepos_t on 64bits" ON)
option(CONFIG_DEBUG_LEAKS "Enable internal menory leaks checking support" OFF)

include(GNUInstallDirs)

if(NOT CMAKE_INSTALL_RPATH AND CMAKE_INSTALL_PREFIX)
	set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
	message(STATUS "Setting install rpath to ${CMAKE_INSTALL_RPATH}")
endif()

configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

find_package(bctoolbox REQUIRED CONFIG)

include_directories(
	${CMAKE_BINARY_DIR}
	corec
)

set(LINK_FLAGS )
if(APPLE)
	list(APPEND LINK_FLAGS "-framework Foundation")
	if(IOS)
		list(APPEND LINK_FLAGS "-framework CoreFoundation")
	endif()
endif()
string(REPLACE ";" " " LINK_FLAGS_STR "${LINK_FLAGS}")

if(WIN32)
	add_definitions(
		"-DEBML2_EXPORTS"
		"-DMATROSKA2_EXPORTS"
		"-DSTR_EXPORTS"
	)
endif()
add_compile_options(-w)

add_subdirectory(corec/corec)
add_subdirectory(libebml2)
add_subdirectory(libmatroska2)

install(FILES ${CMAKE_BINARY_DIR}/config.h
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec
)

include(CMakePackageConfigHelpers)
set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")

write_basic_package_version_file(
	${CMAKE_BINARY_DIR}/BcMatroska2ConfigVersion.cmake
	VERSION ${MATROSKA2_VERSION}
	COMPATIBILITY AnyNewerVersion
)

export(EXPORT BcMatroska2Targets
	FILE "${CMAKE_CURRENT_BINARY_DIR}/BcMatroska2Targets.cmake"
)

configure_package_config_file(BcMatroska2Config.cmake.in
	"${CMAKE_CURRENT_BINARY_DIR}/BcMatroska2Config.cmake"
	INSTALL_DESTINATION ${CONFIG_PACKAGE_LOCATION}
	NO_SET_AND_CHECK_MACRO
)

install(EXPORT BcMatroska2Targets
	FILE BcMatroska2Targets.cmake
	DESTINATION ${CONFIG_PACKAGE_LOCATION}
)
install(FILES
	${CMAKE_BINARY_DIR}/BcMatroska2ConfigVersion.cmake
	${CMAKE_BINARY_DIR}/BcMatroska2Config.cmake
	DESTINATION ${CONFIG_PACKAGE_LOCATION}
)

add_subdirectory(build)

=== corec/corec/CMakeLists.txt ===
--- 
+++ 
@@ -92,7 +92,8 @@
 
 add_library(corec-objects OBJECT ${COREC_SOURCES})
 set_target_properties(corec-objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
-target_link_libraries(corec-objects bctoolbox)
+target_include_directories(corec-objects PRIVATE
+                $<TARGET_PROPERTY:bctoolbox,INTERFACE_INCLUDE_DIRECTORIES>)
 
 install(FILES
 	banned.h

=== libmatroska2/minilzo/Makefile ===
#
# a very simple Makefile for miniLZO
#
# Copyright (C) 1996-2008 Markus F.X.J. Oberhumer
#

PROGRAM = testmini
SOURCES = testmini.c minilzo.c

default:
	@echo "Please choose one of the following targets:"
	@echo "    gcc:   gcc"
	@echo "    unix:  hpux hpux9"
	@echo "    win32: win32-bc win32-cygwin win32-dm win32-lccwin32"
	@echo "           win32-intelc win32-mingw win32-vc win32-watcomc"
	@echo "    dos16: dos16-bc dos16-mc dos16-wc"
	@echo "    dos32: dos32-djgpp2 dos32-wc"


# Make sure that minilzo.h, lzoconf.h and lzodefs.h are in the
# current dircectory. Otherwise you may want to adjust CPPFLAGS.
##CPPFLAGS = -I../include/lzo -I.

GCC_CFLAGS = -s -Wall -O2 -fomit-frame-pointer


#
# gcc (generic)
#

gcc:
	gcc $(CPPFLAGS) $(GCC_CFLAGS) -o $(PROGRAM) $(SOURCES)

cc:
	cc $(CPPFLAGS) -o $(PROGRAM) $(SOURCES)


#
# UNIX
#

hpux:
	cc -Ae $(CPPFLAGS) -o $(PROGRAM) $(SOURCES)

hpux9:
	cc -Aa -D_HPUX_SOURCE $(CPPFLAGS) -o $(PROGRAM) $(SOURCES)


#
# Windows (32-bit)
#

win32-borlandc win32-bc:
	bcc32 -O2 -d -w -w-aus $(CPPFLAGS) $(SOURCES)

win32-cygwin32 win32-cygwin:
	gcc -mcygwin $(CPPFLAGS) $(GCC_CFLAGS) -o $(PROGRAM).exe $(SOURCES)

win32-digitalmars win32-dm:
	dmc -mn -o -w- $(CPPFLAGS) $(SOURCES)

win32-intelc win32-ic:
	icl -nologo -MD -W3 -O2 -GF $(CPPFLAGS) $(SOURCES)

win32-lccwin32:
	@echo "NOTE: need lcc 2002-07-25 or newer, older versions have bugs"
	lc -A -unused -O $(CPPFLAGS) $(SOURCES)

win32-mingw32 win32-mingw:
	gcc -mno-cygwin $(CPPFLAGS) $(GCC_CFLAGS) -o $(PROGRAM).exe $(SOURCES)

win32-visualc win32-vc:
	cl -nologo -MD -W3 -O2 -GF $(CPPFLAGS) $(SOURCES)

win32-watcomc win32-wc:
	wcl386 -bt=nt -zq -mf -5r -zc -w5 -oneatx $(CPPFLAGS) $(SOURCES)


#
# DOS (16-bit)
#

dos16-borlandc dos16-bc:
	bcc -ml -w -d -O -4 $(CPPFLAGS) $(SOURCES)

dos16-microsoftc dos16-msc dos16-mc:
	cl -nologo -f- -AL -O -G2 -W3 $(CPPFLAGS) $(SOURCES)

dos16-watcomc dos16-wc:
	wcl -zq -ml -bt=dos -l=dos -ox -w5 $(CPPFLAGS) $(SOURCES)


#
# DOS (32-bit)
#

dos32-djgpp2 dos32-dj2:
	gcc $(CPPFLAGS) $(GCC_CFLAGS) -o $(PROGRAM).exe $(SOURCES)

dos32-watcomc dos32-wc:
	wcl386 -zq -mf -bt=dos -l=dos4g -5r -ox -zc $(CPPFLAGS) $(SOURCES)


#
# other targets
#

clean:
	rm -f $(PROGRAM) $(PROGRAM).exe $(PROGRAM).map $(PROGRAM).tds
	rm -f *.err *.o *.obj

.PHONY: default clean

=== debian/changelog ===
bcmatroska2 (5.2.0-2build3) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Apr 2024 02:08:54 +0000

bcmatroska2 (5.2.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:42:27 +0000

bcmatroska2 (5.2.0-2build1) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 02:59:58 +0000

bcmatroska2 (5.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Fri, 28 Jul 2023 22:44:13 +0200

bcmatroska2 (5.2.0-1) experimental; urgency=medium

  * New upstream release 5.2.0.
  * Comply with Debian policy v4.6.2.

 -- Dennis Filder <d.filder@web.de>  Mon, 19 Dec 2022 19:39:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: bcmatroska2
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.1.64~),
-Standards-Version: 4.6.1
+               libbctoolbox-dev (>= 5.2.0~),
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.linphone.org/BC/public/bcmatroska2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

features += -DENABLE_STATIC=NO

# Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
# setting CMAKE_SKIP_RPATH
options += -DCMAKE_SKIP_RPATH=ON
options += -DDEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM)
options += -DDEB_SOVERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1)
# To avoid a conflict with libebml-dev and libmatroska-dev we have to
# place the headers into its own subdirectory.  Doing it here obviates
# the need for patching any cmake and source files.
options += -DCMAKE_INSTALL_INCLUDEDIR=/usr/include/bcmatroska2

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=cmake -- \
	${features} \
	${options}

## bcmatroska2 5.3.101

=== CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2016-2023  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

cmake_minimum_required(VERSION 3.1)

project(BCMatroska2
	VERSION 0.23
	LANGUAGES C
)

option(CONFIG_EBML_WRITING "Enable EBML file writing support" ON)
option(CONFIG_EBML_UNICODE "Enable Unicode support" ON)
option(CONFIG_DEBUGCHECKS "Enable internal checks" ON)
option(CONFIG_STDIO "Use stdio.h for writing" ON)
#option(CONFIG_FILEPOS_64 "Encode filepos_t on 64bits" ON)
option(CONFIG_DEBUG_LEAKS "Enable internal menory leaks checking support" OFF)

include(GNUInstallDirs)

if(NOT CMAKE_INSTALL_RPATH AND CMAKE_INSTALL_PREFIX)
	set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
	message(STATUS "Setting install rpath to ${CMAKE_INSTALL_RPATH}")
endif()

if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
set(CONFIG_64BITS_SYSTEM 1)
endif()

configure_file(config.h.cmake ${PROJECT_BINARY_DIR}/bcmatroska2_config.h)

find_package(BCToolbox 5.3.0 REQUIRED)

include_directories(
	${PROJECT_BINARY_DIR}
	corec
)

if(WIN32)
	add_compile_definitions(
		"EBML2_EXPORTS"
		"MATROSKA2_EXPORTS"
		"STR_EXPORTS"
	)
endif()
add_compile_options(-w)

add_subdirectory(corec/corec)
add_subdirectory(libebml2)
add_subdirectory(libmatroska2)

install(FILES ${PROJECT_BINARY_DIR}/bcmatroska2_config.h
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/corec
)

add_subdirectory(build)

include(CMakePackageConfigHelpers)
set(CMAKE_MODULES_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
configure_package_config_file("${PROJECT_NAME}Config.cmake.in" "${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
	INSTALL_DESTINATION "${CMAKE_MODULES_INSTALL_DIR}"
	NO_SET_AND_CHECK_MACRO
)
write_basic_package_version_file("${PROJECT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
	VERSION ${PROJECT_VERSION}
	COMPATIBILITY AnyNewerVersion
)
install(FILES
	"${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
	"${PROJECT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
	DESTINATION ${CMAKE_MODULES_INSTALL_DIR}
)

install(EXPORT ${PROJECT_NAME}Targets
	FILE "${PROJECT_NAME}Targets.cmake"
	DESTINATION ${CMAKE_MODULES_INSTALL_DIR}
)

=== build/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # CMakeLists.txt
-# Copyright (C) 2018  Belledonne Communications, Grenoble France
+# Copyright (C) 2018-2023  Belledonne Communications, Grenoble France
 #
 ############################################################################
 #
@@ -21,7 +21,8 @@
 ############################################################################
 
 if(NOT CPACK_PACKAGE_NAME)
-	set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
+	string(TOLOWER "${PROJECT_NAME}" LOWERCASE_PROJECT_NAME)
+	set(CPACK_PACKAGE_NAME "${LOWERCASE_PROJECT_NAME}")
 ENDIF()
 
 set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})

=== libebml2/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 #
 ############################################################################
 
-add_library(ebml2-objects OBJECT
+add_library(bcmatroska2-ebml-objects OBJECT
 	ebmlmain.c
 	ebmlelement.c
 	ebmlmaster.c
@@ -31,7 +31,7 @@
 	ebmldate.c
 	ebmlvoid.c
 )
-set_target_properties(ebml2-objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
+set_target_properties(bcmatroska2-ebml-objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
 
 install(DIRECTORY ebml
 	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}

=== libmatroska2/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2016-2023  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

set(MATROSKA2_SOURCE_FILES
	matroskamain.c
	matroskablock.c
	matroska_sem.c
)

set(LIBS )
if(WIN32 AND NOT CMAKE_SYSTEM_NAME STREQUAL "WindowsPhone" AND NOT CMAKE_SYSTEM_NAME STREQUAL "WindowsStore")
	list(APPEND LIBS Winmm)
endif()

add_library(bcmatroska2 $<TARGET_OBJECTS:bcmatroska2-corec-objects> $<TARGET_OBJECTS:bcmatroska2-ebml-objects> ${MATROSKA2_SOURCE_FILES})
set_target_properties(bcmatroska2 PROPERTIES VERSION 0.0.0 SOVERSION 0)
set_target_properties(bcmatroska2 PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
if(APPLE)
	target_link_libraries(bcmatroska2 PRIVATE "-framework Foundation")
	if(IOS)
		target_link_libraries(bcmatroska2 PRIVATE "-framework CoreFoundation")
	endif()
endif()
target_include_directories(bcmatroska2 PRIVATE ../libebml2 .)
target_include_directories(bcmatroska2 INTERFACE
	$<INSTALL_INTERFACE:include/>
	$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/libmatroska2>
	$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/libebml2>
	$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/corec>
	$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
	$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/corec/tools/coremake>
	$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
	PRIVATE ../libebml2 .
)
target_link_libraries(bcmatroska2 PUBLIC ${BCToolbox_TARGET})
if(LIBS)
	target_link_libraries(bcmatroska2 PRIVATE ${LIBS})
endif()

if(MSVC AND BUILD_SHARED_LIBS)
	install(FILES $<TARGET_PDB_FILE:bcmatroska2>
		DESTINATION ${CMAKE_INSTALL_BINDIR}
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
		CONFIGURATIONS Debug RelWithDebInfo
	)
endif()

install(TARGETS bcmatroska2 EXPORT ${PROJECT_NAME}Targets
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

install(DIRECTORY matroska
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

=== corec/corec/CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,6 @@
 else()
 	list(APPEND COREC_SOURCES
 		helpers/date/date_libc.c
-		helpers/file/file_libc.c
 		helpers/file/file_bctbx.c
 		multithread/multithread_pthread.c
 	)
@@ -90,9 +89,9 @@
 	)
 endif()
 
-add_library(corec-objects OBJECT ${COREC_SOURCES})
-set_target_properties(corec-objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
-target_include_directories(corec-objects PRIVATE
+add_library(bcmatroska2-corec-objects OBJECT ${COREC_SOURCES})
+set_target_properties(bcmatroska2-corec-objects PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
+target_include_directories(bcmatroska2-corec-objects PRIVATE
                 $<TARGET_PROPERTY:bctoolbox,INTERFACE_INCLUDE_DIRECTORIES>)
 
 install(FILES

=== corec/tools/branch/Makefile ===
all: branch
# make has all the default built-ins to build this for the current system

=== corec/tools/coremake/Makefile ===
all: coremake corerc
# make has all the default built-ins to build this for the current system

install: coremake corerc
	install -c coremake /usr/local/bin/coremake
	install -c corerc /usr/local/bin/corerc
	install -c -m 644 -D android_armv5.build /usr/local/share/coremake/android_armv5.build
	install -c -m 644 -D android_armv6.build /usr/local/share/coremake/android_armv6.build
	install -c -m 644 -D android_armv7.build /usr/local/share/coremake/android_armv7.build
	install -c -m 644 -D automake.build /usr/local/share/coremake/automake.build
	install -c -m 644 -D clean.build /usr/local/share/coremake/clean.build
	install -c -m 644 -D distclean.build /usr/local/share/coremake/distclean.build
	install -c -m 644 -D evc_arm.build /usr/local/share/coremake/evc_arm.build
	install -c -m 644 -D evc_arm_pocketpc.build /usr/local/share/coremake/evc_arm_pocketpc.build
	install -c -m 644 -D evc_arm_smartphone.build /usr/local/share/coremake/evc_arm_smartphone.build
	install -c -m 644 -D evc_armv4.build /usr/local/share/coremake/evc_armv4.build
	install -c -m 644 -D evc_armv4i.build /usr/local/share/coremake/evc_armv4i.build
	install -c -m 644 -D evc_armv4_pocketpc.build /usr/local/share/coremake/evc_armv4_pocketpc.build
	install -c -m 644 -D evc_armv4_smartphone.build /usr/local/share/coremake/evc_armv4_smartphone.build
	install -c -m 644 -D evc_emulator.build /usr/local/share/coremake/evc_emulator.build
	install -c -m 644 -D evc_mips.build /usr/local/share/coremake/evc_mips.build
	install -c -m 644 -D evc_mipsii.build /usr/local/share/coremake/evc_mipsii.build
	install -c -m 644 -D evc_sh3.build /usr/local/share/coremake/evc_sh3.build
	install -c -m 644 -D evc_sh4.build /usr/local/share/coremake/evc_sh4.build
	install -c -m 644 -D evc_x86.build /usr/local/share/coremake/evc_x86.build
	install -c -m 644 -D gcc_linux_arm.build /usr/local/share/coremake/gcc_linux_arm.build
	install -c -m 644 -D gcc_linux.build /usr/local/share/coremake/gcc_linux.build
	install -c -m 644 -D gcc_linux_debug.build /usr/local/share/coremake/gcc_linux_debug.build
	install -c -m 644 -D gcc_linux_mips.build /usr/local/share/coremake/gcc_linux_mips.build
	install -c -m 644 -D gcc_linux_ppc.build /usr/local/share/coremake/gcc_linux_ppc.build
	install -c -m 644 -D gcc_linux_qt_x86.build /usr/local/share/coremake/gcc_linux_qt_x86.build
	install -c -m 644 -D gcc_linux_qt_x86_debug.build /usr/local/share/coremake/gcc_linux_qt_x86_debug.build
	install -c -m 644 -D gcc_linux_x64.build /usr/local/share/coremake/gcc_linux_x64.build
	install -c -m 644 -D gcc_linux_x64_debug.build /usr/local/share/coremake/gcc_linux_x64_debug.build
	install -c -m 644 -D gcc_osx.build /usr/local/share/coremake/gcc_osx.build
	install -c -m 644 -D gcc_osx_iphone_dev.build /usr/local/share/coremake/gcc_osx_iphone_dev.build
	install -c -m 644 -D gcc_osx_ppc.build /usr/local/share/coremake/gcc_osx_ppc.build
	install -c -m 644 -D gcc_osx_x64.build /usr/local/share/coremake/gcc_osx_x64.build
	install -c -m 644 -D gcc_osx_x86.build /usr/local/share/coremake/gcc_osx_x86.build
	install -c -m 644 -D gcc_osx_x86_pic.build /usr/local/share/coremake/gcc_osx_x86_pic.build
	install -c -m 644 -D gcc_palmos.build /usr/local/share/coremake/gcc_palmos.build
	install -c -m 644 -D gcc_ps2sdk.build /usr/local/share/coremake/gcc_ps2sdk.build
	install -c -m 644 -D gcc_qtcore_arm.build /usr/local/share/coremake/gcc_qtcore_arm.build
	install -c -m 644 -D gcc_qtcore_mips.build /usr/local/share/coremake/gcc_qtcore_mips.build
	install -c -m 644 -D gcc_qtcore_x86.build /usr/local/share/coremake/gcc_qtcore_x86.build
	install -c -m 644 -D gcc_qtphone_arm.build /usr/local/share/coremake/gcc_qtphone_arm.build
	install -c -m 644 -D gcc_qtphone_x86.build /usr/local/share/coremake/gcc_qtphone_x86.build
	install -c -m 644 -D gcc_sparc32.build /usr/local/share/coremake/gcc_sparc32.build
	install -c -m 644 -D gcc_sparc64.build /usr/local/share/coremake/gcc_sparc64.build
	install -c -m 644 -D gcc_win32.build /usr/local/share/coremake/gcc_win32.build
	install -c -m 644 -D gcc_wince_arm.build /usr/local/share/coremake/gcc_wince_arm.build
	install -c -m 644 -D gcc_x_win32.build /usr/local/share/coremake/gcc_x_win32.build
	install -c -m 644 -D icl_2005.build /usr/local/share/coremake/icl_2005.build
	install -c -m 644 -D kdevelop.build /usr/local/share/coremake/kdevelop.build
	install -c -m 644 -D kdevelop_qtcore_arm_debug.build /usr/local/share/coremake/kdevelop_qtcore_arm_debug.build
	install -c -m 644 -D kdevelop_qtphone_arm.build /usr/local/share/coremake/kdevelop_qtphone_arm.build
	install -c -m 644 -D kdevelop_qtphone_arm_debug.build /usr/local/share/coremake/kdevelop_qtphone_arm_debug.build
	install -c -m 644 -D kdevelop_qtphone_x86.build /usr/local/share/coremake/kdevelop_qtphone_x86.build
	install -c -m 644 -D kdevelop_qtphone_x86_debug.build /usr/local/share/coremake/kdevelop_qtphone_x86_debug.build
	install -c -m 644 -D s60_1st.build /usr/local/share/coremake/s60_1st.build
	install -c -m 644 -D s60_1st_wins.build /usr/local/share/coremake/s60_1st_wins.build
	install -c -m 644 -D s60_2nd_fp3.build /usr/local/share/coremake/s60_2nd_fp3.build
	install -c -m 644 -D s60_2nd_fp3_debug.build /usr/local/share/coremake/s60_2nd_fp3_debug.build
	install -c -m 644 -D s60_2nd_fp3_winscw.build /usr/local/share/coremake/s60_2nd_fp3_winscw.build
	install -c -m 644 -D s60_3rd_fp1.build /usr/local/share/coremake/s60_3rd_fp1.build
	install -c -m 644 -D s60_3rd_fp1_debug.build /usr/local/share/coremake/s60_3rd_fp1_debug.build
	install -c -m 644 -D s60_3rd_fp1_winscw.build /usr/local/share/coremake/s60_3rd_fp1_winscw.build
	install -c -m 644 -D s60_3rd_mr.build /usr/local/share/coremake/s60_3rd_mr.build
	install -c -m 644 -D s60_3rd_mr_debug.build /usr/local/share/coremake/s60_3rd_mr_debug.build
	install -c -m 644 -D s60_3rd_mr_winscw.build /usr/local/share/coremake/s60_3rd_mr_winscw.build
	install -c -m 644 -D s60_5th.build /usr/local/share/coremake/s60_5th.build
	install -c -m 644 -D s60_5th_winscw.build /usr/local/share/coremake/s60_5th_winscw.build
	install -c -m 644 -D s80_dp2.build /usr/local/share/coremake/s80_dp2.build
	install -c -m 644 -D s80_dp2_wins.build /usr/local/share/coremake/s80_dp2_wins.build
	install -c -m 644 -D s90_7710.build /usr/local/share/coremake/s90_7710.build
	install -c -m 644 -D s90_7710_wins.build /usr/local/share/coremake/s90_7710_wins.build
	install -c -m 644 -D script.build /usr/local/share/coremake/script.build
	install -c -m 644 -D uiq_21.build /usr/local/share/coremake/uiq_21.build
	install -c -m 644 -D uiq_21_wins.build /usr/local/share/coremake/uiq_21_wins.build
	install -c -m 644 -D uiq_30.build /usr/local/share/coremake/uiq_30.build
	install -c -m 644 -D uiq_30_debug.build /usr/local/share/coremake/uiq_30_debug.build
	install -c -m 644 -D uiq_30_winscw.build /usr/local/share/coremake/uiq_30_winscw.build
	install -c -m 644 -D uiq_31.build /usr/local/share/coremake/uiq_31.build
	install -c -m 644 -D uiq_31_winscw.build /usr/local/share/coremake/uiq_31_winscw.build
	install -c -m 644 -D vc6.build /usr/local/share/coremake/vc6.build
	install -c -m 644 -D vc6_palmos.build /usr/local/share/coremake/vc6_palmos.build
	install -c -m 644 -D vs_2003.build /usr/local/share/coremake/vs_2003.build
	install -c -m 644 -D vs_2005.build /usr/local/share/coremake/vs_2005.build
	install -c -m 644 -D vs9_ce5_armv4i.build /usr/local/share/coremake/vs9_ce5_armv4i.build
	install -c -m 644 -D vs9_ce5_mips32_gcc.build /usr/local/share/coremake/vs9_ce5_mips32_gcc.build
	install -c -m 644 -D vs9_ce5_mipsii.build /usr/local/share/coremake/vs9_ce5_mipsii.build
	install -c -m 644 -D vs9_ce5_x86.build /usr/local/share/coremake/vs9_ce5_x86.build
	install -c -m 644 -D vs9_express.build /usr/local/share/coremake/vs9_express.build
	install -c -m 644 -D vs9_ic_x64.build /usr/local/share/coremake/vs9_ic_x64.build
	install -c -m 644 -D vs9_ic_x86.build /usr/local/share/coremake/vs9_ic_x86.build
	install -c -m 644 -D vs9_ppc2003_armv4.build /usr/local/share/coremake/vs9_ppc2003_armv4.build
	install -c -m 644 -D vs9_smart2003_armv4.build /usr/local/share/coremake/vs9_smart2003_armv4.build
	install -c -m 644 -D vs9_win32.build /usr/local/share/coremake/vs9_win32.build
	install -c -m 644 -D vs9_wm5_armv4i.build /usr/local/share/coremake/vs9_wm5_armv4i.build
	install -c -m 644 -D vs9_wm5s_armv4i.build /usr/local/share/coremake/vs9_wm5s_armv4i.build
	install -c -m 644 -D vs9_wm6p_armv4i.build /usr/local/share/coremake/vs9_wm6p_armv4i.build
	install -c -m 644 -D vs9_x64.build /usr/local/share/coremake/vs9_x64.build
	install -c -m 644 -D vs_ce5_armv4i.build /usr/local/share/coremake/vs_ce5_armv4i.build
	install -c -m 644 -D vs_ce5_mips32.build /usr/local/share/coremake/vs_ce5_mips32.build
	install -c -m 644 -D vs_ce5_mips32_gcc.build /usr/local/share/coremake/vs_ce5_mips32_gcc.build
	install -c -m 644 -D vs_ce5_mipsii.build /usr/local/share/coremake/vs_ce5_mipsii.build
	install -c -m 644 -D vs_ce5_x86.build /usr/local/share/coremake/vs_ce5_x86.build
	install -c -m 644 -D vs_ce6_krs_armv4i.build /usr/local/share/coremake/vs_ce6_krs_armv4i.build
	install -c -m 644 -D vs_express.build /usr/local/share/coremake/vs_express.build
	install -c -m 644 -D vs_palmos.build /usr/local/share/coremake/vs_palmos.build
	install -c -m 644 -D vs_ppc2003_armv4.build /usr/local/share/coremake/vs_ppc2003_armv4.build
	install -c -m 644 -D vs_s60_3rd_mr.build /usr/local/share/coremake/vs_s60_3rd_mr.build
	install -c -m 644 -D vs_smart2003_armv4.build /usr/local/share/coremake/vs_smart2003_armv4.build
	install -c -m 644 -D vs_wm5_armv4i.build /usr/local/share/coremake/vs_wm5_armv4i.build
	install -c -m 644 -D vs_wm5s_armv4i.build /usr/local/share/coremake/vs_wm5s_armv4i.build
	install -c -m 644 -D vs_wm6p_armv4i.build /usr/local/share/coremake/vs_wm6p_armv4i.build
	install -c -m 644 -D vs_wm6s_armv4i.build /usr/local/share/coremake/vs_wm6s_armv4i.build
	install -c -m 644 -D vs_x64.build /usr/local/share/coremake/vs_x64.build
	install -c -m 644 -D xcode24_universal.build /usr/local/share/coremake/xcode24_universal.build
	install -c -m 644 -D xcode.build /usr/local/share/coremake/xcode.build
	install -c -m 644 -D xcode_ios4.build /usr/local/share/coremake/xcode_ios4.build
	install -c -m 644 -D xcode_ios4_simu.build /usr/local/share/coremake/xcode_ios4_simu.build
	install -c -m 644 -D xcode_iphone.build /usr/local/share/coremake/xcode_iphone.build
	install -c -m 644 -D xcode_iphone_dev.build /usr/local/share/coremake/xcode_iphone_dev.build
	install -c -m 644 -D xcode_iphone_ipad.build /usr/local/share/coremake/xcode_iphone_ipad.build
	install -c -m 644 -D xcode_iphone_ipad_simu.build /usr/local/share/coremake/xcode_iphone_ipad_simu.build
	install -c -m 644 -D xcode_iphone_simulator.build /usr/local/share/coremake/xcode_iphone_simulator.build
	install -c -m 644 -D xcode_iphone_uni.build /usr/local/share/coremake/xcode_iphone_uni.build
	install -c -m 644 -D xcode_uni64.build /usr/local/share/coremake/xcode_uni64.build
	install -c -m 644 -D xcode_uni.build /usr/local/share/coremake/xcode_uni.build
	install -c -m 644 -D xcode_x86.build /usr/local/share/coremake/xcode_x86.build
	install -c -m 644 -D android_arm.inc /usr/local/share/coremake/android_arm.inc
	install -c -m 644 -D android.inc /usr/local/share/coremake/android.inc
	install -c -m 644 -D android_mk.inc /usr/local/share/coremake/android_mk.inc
	install -c -m 644 -D automake.inc /usr/local/share/coremake/automake.inc
	install -c -m 644 -D carbide.inc /usr/local/share/coremake/carbide.inc
	install -c -m 644 -D carbide_vs.inc /usr/local/share/coremake/carbide_vs.inc
	install -c -m 644 -D evc.inc /usr/local/share/coremake/evc.inc
	install -c -m 644 -D gcc_conf.inc /usr/local/share/coremake/gcc_conf.inc
	install -c -m 644 -D gcc.inc /usr/local/share/coremake/gcc.inc
	install -c -m 644 -D gcc_mak.inc /usr/local/share/coremake/gcc_mak.inc
	install -c -m 644 -D gcc_osx.inc /usr/local/share/coremake/gcc_osx.inc

=== debian/changelog ===
bcmatroska2 (5.3.101-2) unstable; urgency=medium

  * provide pkgconf files
  * debian/gbp.conf: switch to DEP-14
  * fix INSTALL_INTERFACE (Closes: #1098510)

 -- Victor Seva <vseva@debian.org>  Sat, 22 Feb 2025 20:58:21 +0100

bcmatroska2 (5.3.101-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libbcmatroska2-dev: Add Multi-Arch: same.

  [ Victor Seva ]
  * add myself to Uploaders. wrap-and-sort -sat
  * debian/gbp.conf: pristine-tar
  * New upstream version 5.3.101
  * refresh patches
  * update linphone-stack dependencies
  * Set upstream metadata fields: Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * debian/rules: BUILD_SHARED_LIBS
  * debian/copyright: refresh

 -- Victor Seva <vseva@debian.org>  Mon, 10 Feb 2025 09:30:52 +0100

bcmatroska2 (5.2.0-5) unstable; urgency=medium

  * Fix compilation warning treated as error. (Closes: #1074838)
  * Skip experimental Debian revisions.

 -- Bastian Germann <bage@debian.org>  Sat, 21 Dec 2024 15:59:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: bcmatroska2
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Bernhard Schmidt <berni@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.2.0~),
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Bernhard Schmidt <berni@debian.org>,
+ Victor Seva <vseva@debian.org>,
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libbctoolbox-dev (>= 5.3.104~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
@@ -17,9 +19,11 @@
 Package: libbcmatroska2-5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Matroska library for mediastreamer2 (base)
  Bcmatroska2 is an implementation of the Matroska container format
  specifically tailored for use with mediastreamer2.  It was forked
@@ -31,8 +35,10 @@
 Package: libbcmatroska2-dev
 Section: libdevel
 Architecture: any
-Depends: libbcmatroska2-5 (= ${binary:Version}),
-         ${misc:Depends},
+Depends:
+ libbcmatroska2-5 (= ${binary:Version}),
+ ${misc:Depends},
+Multi-Arch: same
 Description: Development files for the bcmatroska2 library
  Bcmatroska2 is an implementation of the Matroska container format
  specifically tailored for use with mediastreamer2.  It was forked

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,8 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-features += -DENABLE_STATIC=NO
+features += -DBUILD_SHARED_LIBS=ON
 
 # Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
 # setting CMAKE_SKIP_RPATH

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/bcmatroska2.*\.tar\.gz/bcmatroska2-$1\.tar\.gz/g \
  https://gitlab.linphone.org/BC/public/bcmatroska2/tags?sort=updated_desc .*/archive/([\d\.]+)/.*\.tar\.gz.*
